<? 
error_reporting(0);

header('Content-Type: text/html;charset=iso-8859-1');

function filtrer_large($chaine) {
	
		$chaine = html_entity_decode(stripslashes(strip_tags(trim($chaine))));
		$chaine = eregi_replace("[\"<>]", "",$chaine); 
	
		return $chaine;
}

function filtrer_nom_partie($chaine) {
	
		$chaine = eregi_replace("[^A-Z0-9_-]", "", $chaine);
		$chaine = filtrer_large($chaine);
	
		return $chaine;
}

$style = <<<EOF
<style type="text/css">
	
	a {
	   color : #0000FF;
	   text-decoration : none;
	}
	
	/* :active permet de définir les propriétés d'un lien actif - qui vient d'être cliqué */
	a:active {
	  color : #FF0000;
	  text-decoration : underline;
	}

	/* :hover permet de définir les propriétés du lien au survol de celui-ci */
	a:hover {
	  text-decoration : underline;
	}
	
</style>
EOF;

echo $style;
?>

<div id="liste_coups">

<?

if ($_POST['nom_partie']) {

	$nom_partie = $_POST['nom_partie'];	

} else if ($_GET['nom_partie']) {

	$nom_partie = $_GET['nom_partie'];

} else $nom_partie = 'les_coups';

$nom_partie = filtrer_nom_partie($nom_partie);

$angle_echiquier = $_GET['angle_echiquier'];

if (!$angle_echiquier) {
	
	$angle_echiquier = 'courant';
}

if (!file_exists("parties/".$nom_partie.".txt")) {
	
		exit;	  
} else {
	
	$f=@fopen("parties/".$nom_partie.".txt","r");
}

if ($_GET['num_ligne']) {
	
		$voir_ligne = $_GET['num_ligne'];
		
} else $voir_ligne = 0;

include 'inc_liste_coups.php';

echo $info_coups;

?>

</div>
</html>

